witch-1.2.1.1: Convert values from one type into another.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Witch.TryFromException

Synopsis

- data TryFromException source target = TryFromException source (Maybe SomeException)

# Documentation

data TryFromException source target Source #

This exception is thrown when a `TryFrom` conversion fails. It has the original `source` value that caused the failure and it knows the `target` type it was trying to convert into. It also has an optional `SomeException` for communicating what went wrong while converting.

Constructors

TryFromException source (Maybe SomeException) |

#### Instances

Instances details

(Show source, Typeable source, Typeable target) => Exception (TryFromException source target) Source # |
Instance details Defined in Witch.TryFromException Methods toException :: TryFromException source target -> SomeException Source # fromException :: SomeException -> Maybe (TryFromException source target) Source # displayException :: TryFromException source target -> String Source #
(Show source, Typeable source, Typeable target) => Show (TryFromException source target) Source # |
Instance details Defined in Witch.TryFromException Methods showsPrec :: Int -> TryFromException source target -> ShowS Source # show :: TryFromException source target -> String Source # showList :: [TryFromException source target] -> ShowS Source #
From (TryFromException source oldTarget) (TryFromException source newTarget) Source # | Uses `coerce`.
Instance details Defined in Witch.Instances Methods from :: TryFromException source oldTarget -> TryFromException source newTarget Source #